Bug 1340876 - cant find symbol error
Summary: cant find symbol error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hppc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-30 14:08 UTC by Tomas Repik
Modified: 2016-06-08 13:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-31 08:19:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Repik 2016-05-30 14:08:44 UTC
Description of problem:
When building in mock for F23 having hppc as a buidrequires everything goes well, but for rawhide there are some symbols missing.

Version-Release number of selected component (if applicable):
0.7.1-3.fc24

How reproducible:
Use hppc as a buldrequires in mock and build for rawhide. 


Steps to Reproduce:
I can provide further details upon request.

Actual results:
error: cannot find symbol
    [javac] import com.carrotsearch.hppc.LongOpenHashSet;
    [javac] import com.carrotsearch.hppc.IntObjectOpenHashMap;
    [javac] import com.carrotsearch.hppc.LongOpenHashSet;
    [javac] import com.carrotsearch.hppc.LongOpenHashSet;

Expected results:
no Error

Additional info:
I'm building cassandra and hppc is it's dependency. I'm rather seeking for a solution to my problem, than for some kind of fix or package update.

Comment 1 gil cattaneo 2016-05-30 14:40:30 UTC
Hi,
new hppc package split the main jar in two
you should add also com.carrotsearch:hppc::esoteric:
in the pom or in the ivy file
regards

Comment 2 Tomas Repik 2016-05-31 05:28:04 UTC
(In reply to gil cattaneo from comment #1)
> you should add also com.carrotsearch:hppc::esoteric:
did not solve the issue, also tried manually installing both hppc and hppc-templateprocessor in mock prior the build and it did not work either.

Comment 3 gil cattaneo 2016-05-31 07:43:20 UTC
(In reply to Tomas Repik from comment #2)
> (In reply to gil cattaneo from comment #1)
> > you should add also com.carrotsearch:hppc::esoteric:
> did not solve the issue, also tried manually installing both hppc and
> hppc-templateprocessor in mock prior the build and it did not work either.

Sorry, my mistake, newer hppc do not provides any more this classes.
Please, try to replace with those are available

Comment 4 gil cattaneo 2016-05-31 08:07:55 UTC
In CHANGES.txt file report this:
* (HPPC-145): Removed any "Open" infix from all classes


Note You need to log in before you can comment on or make changes to this bug.